package de.avatic.lcc.dto.custom;

import org.jetbrains.annotations.NotNull;

import java.util.List;

public class CustomDTO {

    private boolean isDefault;

    private Double value;

    private List<CustomMeasureDTO> measures;

    private Integer countryId;

    public CustomDTO(Double value, List<CustomMeasureDTO> measures, Integer countryId) {
        this(true, value, measures, countryId);
    }

    public CustomDTO(boolean isDefault, Double value, List<CustomMeasureDTO> measures, Integer countryId) {
        this.isDefault = isDefault;
        this.value = value;
        this.measures = measures;
        this.countryId = countryId;
    }

    public CustomDTO(Double value, Integer countryId) {
        this(value, null, countryId);
    }


    public boolean isDefault() {
        return isDefault;
    }

    public void setDefault(boolean aDefault) {
        isDefault = aDefault;
    }

    public Double getValue() {
        return value;
    }

    public void setValue(Double value) {
        this.value = value;
    }

    public List<CustomMeasureDTO> getMeasures() {
        return measures;
    }

    public void setMeasures(List<CustomMeasureDTO> measures) {
        this.measures = measures;
    }

    public Integer getCountryId() {
        return countryId;
    }

    public void setCountryId(Integer countryId) {
        this.countryId = countryId;
    }
}
